AstroBot - Bug #1949

Bug with hauling when using "return to dropoff" option when the pickup queue is empty
2017-07-21 05:32 PM - gnosh

Status: Resolved
Priority: High
Assignee:

Category:

Target version:

vbulletin_issue_id:

Description

Unfortunately, | don't have much to add to this. Astrobot will appear to work fine for a long time.. hours at times. At some point, the
hauler gets stuck in the station, doesn't leave and the miners get full. The message being spammed in console is something to the
effect of "Astrobot(ISXEVE?) thinks we're in a station"

No issues with hauling when | switch back to Stay On Grid when empty pickup queue.

History

#1 - 2018-01-08 10:54 AM - bjcasey

When the hauler is coming out of the station to go to the next pilot on the list, the bot hangs if that pilot isn't in the belt anymore when the hauler gets
there.

This happens when the miner is in the process of changing belts. | think thats the reason for the issue when using the "return to station" option in the
hauler settings. It just happened to me with the hauler set to stay on grid... there is just more of a chance of it happening when the hauler is constantly
moving back and forth.

#2 - 2018-01-08 11:00 AM - bjcasey
- Status changed from New to In Progress

- Priority changed from Normal to High

#4 - 2018-01-14 08:41 PM - bjcasey

- Status changed from In Progress to Resolved

This has been resolved in yesion 105
